# $Id: qt.FreeBSD.mk,v 1.0 2004/11/05 10:22:11 denis Exp $

QTDIR= ${X11BASE}
MOC= ${QTDIR}/bin/moc
LUPDATE= ${QTDIR}/bin/lupdate
LRELEASE= ${QTDIR}/bin/lrelease

PTHREAD_CFLAGS?= -pthread
PTHREAD_LIBS?= -pthread

QTCFLAGS= ${QTDIR}/include -DQT_NO_COMPAT ${PTHREAD_CFLAGS}
QTLFLAGS= -L${QTDIR}/lib -lqt-mt ${PTHREAD_LIBS}

CFLAGS+= -I${QTCFLAGS}
CXXFLAGS= ${CFLAGS}
LDADD+= ${QTLFLAGS}

SRCMOC= ${MOCS:M*.h:R:S/$/.cxx/g}
OBJMOC= ${MOCS:M*.h:R:S/$/.mo/g}
OBJS+= ${OBJMOC}
CLEANFILES+= ${SRCMOC}

.SUFFIXES: .h .cxx .mo

.h.cxx:
	${MOC} ${.IMPSRC} -o ${.TARGET}

.cxx.mo:
	${CXX} ${CXXFLAGS} -c ${.IMPSRC} -o ${.TARGET}
