/*
 * $Id: main.cpp,v 0.1 2005/01/08 12:19:58 denis Exp $
 *
 * Author: Denis Kozadaev (denis@tambov.ru)
 * Description:
 *
 * See also: style(9)
 *
 * Hacked by:
 */

#include <ntqapplication.h>
#include <ntqmessagebox.h>
#include <ntqtextcodec.h>
#include <ntqtranslator.h>

#include "mainwindow.h"

const int
	XSize = 800,
	YSize = 600;

int
main(int argc, const char *argv[])
{
	TQApplication	*app;
	MainWindow	*mw;
//	TQTranslator	*qt;
	int		result = 0;

	app = new TQApplication(argc, (char **)argv);
/* FIXME: how does TQTranslator() work in TQt?
	qt = new TQTranslator();
	if (qt->load(LOCALE_FILE))
		app->installTranslator(qt);*/
	mw = new MainWindow();

	if (mw->sockOk()) {
		app->setMainWidget(mw);
		mw->show();
		mw->resize(XSize, YSize);
		mw->setMinimumSize(mw->size());
		result = app->exec();
	} else
		TQMessageBox::critical(NULL, TQObject::tr("Socket Error"),
			TQObject::tr("Cannot create a server socket!"));

	delete mw;
//	delete qt;
	delete app;

	return (result);
}

